<?xml version="1.0" encoding="UTF-8"?>
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr" xml:id="rmdir">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>rmdir</refname>
    <refpurpose>Supprime un repertoire</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Séquence d'appel</title>
    <synopsis>rmdir('dirname')
rmdir('dirname','s')
[status,message] = rmdir('dirname','s')</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Description</title>
    <para>rmdir('dirname') supprime le repertoire dirname depuis le repertoire
    courant. Si le repertoire n'est pas vide, vous devez utiliser l'argument
    s. Si dirname n'est pas dans le repertoire courant , vous devez specifier
    le chemin relatif ou complet pour acceder a dirname.</para>
    <para>rmdir('dirname','s') suppprime le repertoire dirname depuis le
    repertoire courant et ses sous repertoires ainsi que leurs contenus.</para>
    <para>[status, message] = rmdir('dirname','s') supprime le repertoire dirname
    et son contenu depuis le repertoire courant et retourne la variable status
    et un message. Ici, status vaut 1 si l'execution s'est bien passé et 0 en
    cas d'erreur.</para>
  </refsection>
  <refsection>
    <title>Exemples</title>
    <programlisting role="example"><![CDATA[ 
mkdir(SCI,'Directory')
rmdir(SCI+'/Directory')
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>Voir Aussi</title>
    <simplelist type="inline">
      <member>
        <link linkend="cd">cd</link>
      </member>
      <member>
        <link linkend="dir">dir</link>
      </member>
      <member>
        <link linkend="mkdir">mkdir</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Auteurs</title>
    <simplelist type="vert">
      <member>A.C</member>
    </simplelist>
  </refsection>
</refentry>
